Subject: Re: [Sigtran] IUA: Usage if Unit-Data Request and Indication messages

From: "Subhodeep Sarkar" <[email-masked]>
Date: Mon, 18 Feb 2002 14:47:32 +0530

Hi Sundar,

See my comments inline.

Subhodeep Sarkar 
Wipro Technologies 
Voice Over IP Solutions 
Ph : +91-(0)80-8411990 x 1251 

[email-masked] wrote:

Hi All,

I would like to know what is the use of UNIT DATA Messages (Request &amp;
Indication) in IUA.

RFC 3057, Section 3.3.1.4, says that these messages contains ISDN Q.921-User
protocol data units corresponding to UNACKNOWLEDGED information trasfer
service. What does this mean?

With respect to ISDN-Q921 , unit data messages are messages sent between the
two peer ISDN ends for TEI assignment procedures, before the establishment
of the D-channels. Does this directly correlate to the IUA Unit Data
messages.

[Subhodeep Sarkar] The IUA Unit Data message refers to DL-UNIT-DATA primitive for Q.921. The DL-UNIT-DATA primitive can be sent from Layer 3 to initiate TEI assignment procedure . Please refer to the ITU-T Q.921 (09/97) page 29 , "The initiation of TEI assignment procedures occurs on the receipt of a request for establishment or unacknowledged information transfer while in the TEI-unassigned state."

[Subhodeep Sarkar] Also the Figure 8 and Figure 9 of ITU-T Q.921, pages 25 and 26 respectively shows expected DL-UNIT-DATA message sequence. A DL-UNIT-DATA can be exchanged for TEI = 127 (broacast mode).

Following states are normally traversed during the TEI assignment and
establishment: (Based on ITU-T Recommendation Q.921)
– State 1: TEI unassigned.
– State 2: Assign awaiting TEI.
– State 3: Establish awaiting TEI.
– State 4: TEI assigned.
– State 5: Awaiting establishment.
– State 6: Awaiting release.
– State 7: Multiple frame established.

Can anyone explain me in what state UNIT DATA messages are sent between the
two IUA peers.

[Subhodeep Sarkar] TEI status in IUA layer is optional and the only relevant information regarding TEI that's required is TEI Assigned/Unassigned. So no UNIT DATA messages will mapped for the above listed state in the IUA. It's only TEI Status Request/Indication of TEI Assigned/TEI Unassigned is important.

Thanks in advance,

Best Regards,
Sundar.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

Get Your Private, Free E-mail from Indiatimes at  http://email.indiatimes.com
Buy Music, Video, CD-ROM, Audio-Books and Music Accessories from http://www.planetm.co.in